// Code generated by go-swagger; DO NOT EDIT.

package roles

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the generate command

import (
	"net/http"

	"github.com/go-openapi/runtime/middleware"
)

// UserRoleGetHandlerFunc turns a function with the right signature into a user role get handler
type UserRoleGetHandlerFunc func(UserRoleGetParams) middleware.Responder

// Handle executing the request and returning a response
func (fn UserRoleGetHandlerFunc) Handle(params UserRoleGetParams) middleware.Responder {
	return fn(params)
}

// UserRoleGetHandler interface for that can handle valid user role get params
type UserRoleGetHandler interface {
	Handle(UserRoleGetParams) middleware.Responder
}

// NewUserRoleGet creates a new http.Handler for the user role get operation
func NewUserRoleGet(ctx *middleware.Context, handler UserRoleGetHandler) *UserRoleGet {
	return &UserRoleGet{Context: ctx, Handler: handler}
}

/*UserRoleGet swagger:route GET /api/roles/{id} Roles userRoleGet

Get role

*/
type UserRoleGet struct {
	Context *middleware.Context
	Handler UserRoleGetHandler
}

func (o *UserRoleGet) ServeHTTP(rw http.ResponseWriter, r *http.Request) {
	route, rCtx, _ := o.Context.RouteInfo(r)
	if rCtx != nil {
		r = rCtx
	}
	var Params = NewUserRoleGetParams()

	if err := o.Context.BindValidRequest(r, route, &Params); err != nil { // bind params
		o.Context.Respond(rw, r, route.Produces, route, err)
		return
	}

	res := o.Handler.Handle(Params) // actually handle the request

	o.Context.Respond(rw, r, route.Produces, route, res)

}
